/**
 * Copyright (c) 2024 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "testconversation.h"

uint16_t conversationTestInit(conversation_t *convo, const uint16_t i) {
  switch(i) {
    case 0:
      printf("Test conversation start\n");
      return CONVERSATION_CONTINUE;

    default:
      return CONVERSATION_INVALID;
  }
}

uint16_t conversationTestUpdate(conversation_t *convo, const uint16_t i) {
  switch(i) {
    case 0:
      printf("Conversation update\n");
      return CONVERSATION_DONE;
    
    default:
      return CONVERSATION_INVALID;
  }
}